---
title: '-webkit-transform-2d'
slug: Web/CSS/@media/-webkit-transform-2d
tags:
  - '@media'
  - CSS
  - Non-standard
  - Reference
  - WebKit
  - media feature
---
<div>{{ Non-standard_header }}</div>

<p>The <strong><code>-webkit-transform-2d</code></strong> Boolean <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is a <a href="/en-US/docs/Web/CSS/Webkit_Extensions">Chrome extension</a> whose value is <code>true</code> if vendor-prefixed CSS 2D {{cssxref("transform")}}s are supported.</p>

<p>Apple has <a href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/OtherStandardCSS3Features.html#//apple_ref/doc/uid/TP40007601-SW3">a description in Safari CSS Reference</a>.</p>

<h2 id="Syntax">Syntax</h2>

<p><code>-webkit-transform-2d</code> is a Boolean <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> whose value is <code>true</code> if the browser supports <code>-webkit</code> prefixed CSS 2D {{cssxref("transform")}}s.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>true</code></dt>
 <dd>The browser supports the 2D CSS transforms with the <code>-webkit</code> prefix.</dd>
 <dt><code>false</code></dt>
 <dd>The 2D CSS transforms prefixed with <code>-webkit</code> are not supported by the browser.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: css notranslate">@media (-webkit-transform-2d) {
  div {
    -webkit-transform: translate(100px, 100px);
  }
}</pre>

<p>This media feature is only supported by WebKit. If possible, use an {{cssxref("@supports")}} feature query instead:</p>

<pre class="brush: css notranslate">@supports (-webkit-transform: translate(100px, 100px)) {
  div {
    -webkit-transform: translate(100px, 100px);
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.-webkit-transform-2d")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("@media/-webkit-transform-3d", "-webkit-transform-3d")}}</li>
 <li>{{cssxref("@media/-webkit-transition", "-webkit-transition")}}</li>
 <li>{{cssxref("@media/-webkit-animation", "-webkit-animation")}}</li>
 <li><a href="http://www.quirksmode.org/css/tests/mediaqueries/animation.html">Test page at quirksmode.org</a></li>
</ul>

<div>{{ CSSRef }}</div>
